Subject: Re: [netmod] New Version Notification for draft-wwx-netmod-event-yang-03.txt

From: Qin Wu <[email-masked]>
Date: Wed, 23 Oct 2019 14:30:42 +0000

Thanks Rob, just to remind draft-sambo-opsawg-ccamp-supa-ext-yang-fsm has been replaced by draft-sambo-netmod-yang-fsm-05 back in October 2017 and has been discussed twice before in the past netmod meetings.
I am happy to work with authors of three drafts to see how to rationalize these common interests effort.

-Qin
-----邮件原件-----
发件人: Rob Wilton (rwilton) [mailto:[email-masked]] 
发送时间: 2019年10月23日 21:32
收件人: Qin Wu <[email-masked]>; Lou Berger <[email-masked]>; wangzitao <[email-masked]>
抄送: NetMod WG Chairs <[email-masked]>; [email-masked]; [email-masked]; [email-masked]; [email-masked]
主题: RE: [netmod] New Version Notification for draft-wwx-netmod-event-yang-03.txt

Hi Qin, Lou,

There it also draft-sambo-opsawg-ccamp-supa-ext-yang-fsm which, unless I am mistaken, also seems to be targeting the same area.

It seems like there is definitely interest in this area.  It would be nice if there could be a single standard solution, but perhaps the use cases are different enough that this doesn't make sense?

Thanks,
Rob

> -----Original Message-----
> From: netmod <[email-masked]> On Behalf Of Qin Wu
> Sent: 23 October 2019 14:15
> To: Lou Berger <[email-masked]>; wangzitao <[email-masked]>
> Cc: NetMod WG Chairs <[email-masked]>; draft-bryskin-netconf- 
> [email-masked]; [email-masked]; draft-wwx-netmod-event- 
> [email-masked]
> Subject: Re: [netmod] New Version Notification for 
> draft-wwx-netmod-event- yang-03.txt
> 
> Lou:
> I am not against to harmonize with 
> draft-bryskin-netconf-automation-yang
> and actually both have already shared a lot of commonality on 
> motivation and use cases but the model proposed in draft-wwx reduce 
> its complexity and propose a more simple model design.
> A quick question to chair:
> Do you think we should start from complex advanced generalized model 
> with many features which not sure can be supported, or from simple 
> generic model in which the mechanism has been generalized in previous 
> several revisions and clarify the relationship with many related 
> standardized work such as YANG Push, Event MIB.
> 
> If clarifying the relationship with Event MIB is a concern, we could 
> remove it since Event MIB is just one of work that motivates to bring 
> this work up, in addition, hardware management model defined in 
> RFC8348 also clarify relationship with ENTITY-MIB, do you think 
> hardware management is something specific to MIB?
> 
> If I am wrong, please correct me.
> Regards!
> -Qin
> -----邮件原件-----
> 发件人: Lou Berger [mailto:[email-masked]]
> 发送时间: 2019年10月22日 20:38
> 收件人: wangzitao <[email-masked]>
> 抄送: [email-masked]; NetMod WG Chairs <[email-masked]>; draft- 
> [email-masked]; draft-bryskin-netconf-automation- 
> [email-masked]
> 主题: Re: [netmod] New Version Notification for draft-wwx-netmod-event- 
> yang-03.txt
> 
> Michael/Authors/WG,
> 
> Thank you for this work.  One of the questions in looking at this 
> draft is the relationship to this draft to other individual work that 
> has been discussed in the WG, 
> notablyhttps://tools.ietf.org/html/draft-bryskin-
> netconf-automation-yang  . In looking at both drafts, I read it as 
> that the latter provides general infrastructure for 
> event-condition-actions (ECAs).  I'm less sure about your draft, in 
> reading it it too seems aimed at a general infrastructure, but it also 
> seems tailored to a specific set of ECAs that are aligned with the EVEN-MIB.
> 
> What is your/the authors intent?
> 
> If the former, perhaps it would be good for both sets of authors to 
> (at least try to) work together to come up with with a merged 
> document?  If the latter, does it make sense to adjust your draft to 
> document your use case using the more general mechanisms of the other draft?
> 
> What do you think?
> 
> Please let me know if you think I'm misreading or missed something here.
> 
> Thanks,
> Lou
> 
> On 10/15/2019 2:17 AM, wangzitao wrote:
> > Dear Working Group,
> >
> > As you recall that we presented the "draft-wwx-netmod-event-yang-02" 
> > in
> the last NETMOD session and got a good number of supports when the 
> chair polled in the room.
> > Recently we have a minor update on the draft based on Montreal 
> > meeting
> discussion, adding an appendix section to introduce how to reuse the 
> "trigger-grouping", more details please review the document.
> > https://tools.ietf.org/html/draft-wwx-netmod-event-yang-03
> >
> > We believe this draft is stable enough and would like to ask for WG
> adoption.
> >
> > Comments and suggestion are welcome!
> >
> > Best Regards!
> > -Michael(on behalf of authors)
> >
> > -----邮件原件-----
> > 发件人: [email-masked] [mailto:[email-masked]]
> > 发送时间: 2019年10月15日 14:14
> > 收件人: wangzitao <[email-masked]>; Chongfeng Xie 
> > <[email-masked]>; Qin Wu <[email-masked]>; wangzitao 
> > <[email-masked]>; Qin Wu <[email-masked]>
> > 主题: New Version Notification for draft-wwx-netmod-event-yang-03.txt
> >
> >
> > A new version of I-D, draft-wwx-netmod-event-yang-03.txt
> > has been successfully submitted by Michael Wang and posted to the 
> > IETF
> repository.
> >
> > Name:		draft-wwx-netmod-event-yang
> > Revision:	03
> > Title:		A YANG Data model for Policy based Event Management
> > Document date:	2019-10-13
> > Group:		Individual Submission
> > Pages:		30
> > URL:            https://www.ietf.org/internet-drafts/draft-wwx-netmod-
> event-yang-03.txt
> > Status:         https://datatracker.ietf.org/doc/draft-wwx-netmod-event-
> yang/
> > Htmlized:       https://tools.ietf.org/html/draft-wwx-netmod-event-yang-
> 03
> > Htmlized:       https://datatracker.ietf.org/doc/html/draft-wwx-netmod-
> event-yang
> > Diff:           https://www.ietf.org/rfcdiff?url2=draft-wwx-netmod-
> event-yang-03
> >
> > Abstract:
> >     [RFC8328] defines a policy-based management framework that allow
> >     definition of a data model to be used to represent high-level,
> >     possibly network-wide policies.  This document defines an YANG data
> >     model for the policy based event management [RFC7950].  The policy
> >     based Event YANG provides the ability for the network management
> >     function (within a controller, an orchestrator, or a network
> element)
> >     to control the configuration and monitor state change on the network
> >     element and take simple and instant action when a trigger condition
> >     on the system state is met.
> >
> >
> >
> >
> > Please note that it may take a couple of minutes from the time of
> submission until the htmlized version and diff are available at 
> tools.ietf.org.
> >
> > The IETF Secretariat
> >
> > _______________________________________________
> > netmod mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/netmod
> _______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod

---

From: nicola sambo <[email-masked]>
Date: Wed, 23 Oct 2019 16:41:18 +0200

Hi Qin, Rob,

we are happy to collaborate for finding a common solution. Yes, our last
contribution in the area is draft-sambo-netmod-yang-fsm-05.

Best,
Nicola

Il giorno mer 23 ott 2019 alle ore 16:31 Qin Wu <[email-masked]> ha
scritto:

> Thanks Rob, just to remind draft-sambo-opsawg-ccamp-supa-ext-yang-fsm has
> been replaced by draft-sambo-netmod-yang-fsm-05 back in October 2017 and
> has been discussed twice before in the past netmod meetings.
> 抄送: NetMod WG Chairs <[email-masked]>;
> [email-masked]; [email-masked];
> [email-masked]; [email-masked]
> There it also draft-sambo-opsawg-ccamp-supa-ext-yang-fsm which, unless I
> am mistaken, also seems to be targeting the same area.
>
> It seems like there is definitely interest in this area.  It would be nice
> if there could be a single standard solution, but perhaps the use cases are
> different enough that this doesn't make sense?
>
> Thanks,
> Rob
>
>
> > > Status:
> https://datatracker.ietf.org/doc/draft-wwx-netmod-event-
> > yang/
> > > Htmlized:
> > > Htmlized:
> https://datatracker.ietf.org/doc/html/draft-wwx-netmod-
> > event-yang

---

From: Giuseppe Fioccola <[email-masked]>
Date: Wed, 23 Oct 2019 14:49:27 +0000

Hi Qin, All,
Yes, draft-sambo-netmod-yang-fsm generalizes the YANG Finite State Machine approach with a description of possible Use Cases. In addition, draft-sambo-ccamp-yang-fsm-transponder-reconf describes in more detail a specific Use Case.
Since there is interest on this topic and additional applications can be considered, it would be great to work together and start a design team on it.

Best Regards,

Giuseppe

-----Original Message-----
From: netmod [mailto:[email-masked]] On Behalf Of Qin Wu
Sent: Wednesday, October 23, 2019 4:31 PM
To: Rob Wilton (rwilton) <[email-masked]>; Lou Berger <[email-masked]>; wangzitao <[email-masked]>
Cc: NetMod WG Chairs <[email-masked]>; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Re: [netmod] New Version Notification for draft-wwx-netmod-event-yang-03.txt

-Qin
-----邮件原件-----
发件人: Rob Wilton (rwilton) [mailto:[email-masked]]
发送时间: 2019年10月23日 21:32
收件人: Qin Wu <[email-masked]>; Lou Berger <[email-masked]>; wangzitao <[email-masked]>
抄送: NetMod WG Chairs <[email-masked]>; [email-masked]; [email-masked]; [email-masked]; [email-masked]
主题: RE: [netmod] New Version Notification for draft-wwx-netmod-event-yang-03.txt

Hi Qin, Lou,

Thanks,
Rob